---
updatedAt: 2026-05-31T12:49:47.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Delete HA Cluster License

Deletes a license key from an HA cluster.

**Note:** This API is available only in Self-hosted instances.

**Since:** 5.0.0

**Security:** Requires an admin user.


<br />

<br />

<Callout icon="📘" theme="info">
  Supported on Self-managed JPDs only.
</Callout>

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Artifactory System API",
    "description": "Artifactory system configuration APIs for the JFrog Platform.\n\n**Authentication:**\n- Basic authentication using username and password\n- Access Tokens instead of password for basic authentication\n- Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}",
      "description": "JFrog Platform",
      "variables": {
        "jfrog_url": {
          "default": "myserver.jfrog.io",
          "description": "Your JFrog Platform hostname (e.g., mycompany.jfrog.io)"
        }
      }
    }
  ],
  "tags": [
    {
      "name": "Artifactory System",
      "description": "Artifactory system configuration APIs."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/artifactory/api/system/licenses": {
      "delete": {
        "tags": [
          "Artifactory System"
        ],
        "summary": "Delete HA Cluster License",
        "description": "Deletes a license key from an HA cluster.\n\n**Note:** This API is available only in Self-hosted instances.\n\n**Since:** 5.0.0\n\n**Security:** Requires an admin user.\n",
        "operationId": "deleteHALicense",
        "parameters": [
          {
            "name": "licenseHash",
            "in": "query",
            "required": true,
            "description": "Comma-separated list of license hash codes to delete",
            "schema": {
              "type": "string"
            },
            "example": "tL9r2YlDBiktbbt,DiYgVAP7nvyNI7q"
          }
        ],
        "responses": {
          "200": {
            "description": "License(s) deleted successfully",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "status": {
                      "type": "integer",
                      "example": 200
                    },
                    "messages": {
                      "type": "object",
                      "additionalProperties": {
                        "type": "string"
                      },
                      "example": {
                        "tL9r2YlDBiktbbt": "OK",
                        "DiYgVAP7nvyNI7q": "OK"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid license hash"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  }
}
```